Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.blobstore.dev
Interface BlobStorage

    public interface BlobStorage

`BlobStorage` provide an abstraction over the storage of blob content. For storing blob metadata, see `BlobInfoStorage`.

Method Summary
`void` | `deleteBlob(com.google.appengine.api.blobstore.BlobKey blobKey)` Remove both the content and the metadata for the specified blob.
`java.io.InputStream` | `fetchBlob(com.google.appengine.api.blobstore.BlobKey blobKey)` Fetch the contents of the specified blob.
`boolean` | `hasBlob(com.google.appengine.api.blobstore.BlobKey blobKey)`
`java.io.OutputStream` | `storeBlob(com.google.appengine.api.blobstore.BlobKey blobKey)` Store the contents of the specified blob.

Method Detail

### hasBlob

    boolean hasBlob(com.google.appengine.api.blobstore.BlobKey blobKey)

  Returns:
    true if content is found for the specified blob.

### storeBlob

    java.io.OutputStream storeBlob(com.google.appengine.api.blobstore.BlobKey blobKey)
                                   throws java.io.IOException

  Store the contents of the specified blob. The contents should be written to the returned `OutputStream`, and the blob content may not appear until that stream is closed.

  Throws:
    `java.io.IOException`

### fetchBlob

    java.io.InputStream fetchBlob(com.google.appengine.api.blobstore.BlobKey blobKey)
                                  throws java.io.IOException

  Fetch the contents of the specified blob.

  Throws:
    `java.io.IOException`

### deleteBlob

    void deleteBlob(com.google.appengine.api.blobstore.BlobKey blobKey)
                    throws java.io.IOException

  Remove both the content and the metadata for the specified blob.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD